﻿using System;
using System.Collections.Generic;
using System.Text;

namespace CsFileCopy
{
    /// <summary>
    /// ログを出力するクラスのインターフェースです。
    /// </summary>
    public interface ILog
    {
        /// <summary>
        /// 情報ログを出力します。
        /// </summary>
        /// <param name="s">情報メッセージ</param>
        void Info(string s);

        /// <summary>
        /// 警告ログを出力します。
        /// </summary>
        /// <param name="s">警告メッセージ</param>
        void Warn(string s);

        /// <summary>
		/// エラーログを出力します。
		/// </summary>
		/// <param name="s">エラーメッセージ</param>
        void Error(string s);
    }
}
