﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace CsFileCopy
{
    public class MessageUtil
    {
        /// <summary>
        /// アプリケーションの名前
        /// </summary>
        private const string APP_NAME = "CsFileCopy";

        public MessageUtil()
        {
        }

        /// <summary>
        /// 警告メッセージを表示します。
        /// </summary>
        public static void ShowAlert(string message)
        {
            MessageBox.Show(
                message,
                APP_NAME,
                MessageBoxButtons.OK,
                MessageBoxIcon.Exclamation);
        }

        /// <summary>
        /// 情報メッセージを表示します。
        /// </summary>
        public static void ShowInfo(string message)
        {
            MessageBox.Show(
                message,
                APP_NAME,
                MessageBoxButtons.OK,
                MessageBoxIcon.Information);
        }

        /// <summary>
        /// 質問メッセージを表示します。
        /// </summary>
        public static DialogResult ShowQuestion(string message)
        {
            return MessageBox.Show(
                message,
                APP_NAME,
                MessageBoxButtons.YesNo,
                MessageBoxIcon.Question);
        }
    }
}
